Config::Model::Dpkg::Lintian::Overrides(3pm)

NAME
Config::Model::Dpkg::Lintian::Overrides - Checks lintian-overrides file

SYNOPSIS
No synopsis. This class is to be used by Dpkg model.

DESCRIPTION
This class is derived from Config::Model::Value. Its purpose is to check the content of "debian/*lintian-overrides" and "debian/source/lintian-overrides" files.

Only the validity of the tags are checked. They are compared to the list of tags shipped in lintian package.

Unknown or obsolete tags trigger a warning.

Obsolete tags can be replaced with their new name with "cme fix dpkg".

Limitations

•   Syntax of lintian-overrides is not checked.

AUTHOR
Dominique Dumont, ddumont [AT] cpan [DOT] org

SEE ALSO
Config::Model, Config::Model::Value, lintian